> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-d355519d.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 지정된 instance의 서비스 쿼리 endpoint 업서트

> 이 기능은 Experimental 기능입니다. 사용하려면 지원팀에 문의하십시오.



## OpenAPI

````yaml /ko/_specs/cloud-openapi.json post /v1/organizations/{organizationId}/services/{serviceId}/serviceQueryEndpoint
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/serviceQueryEndpoint:
    post:
      tags:
        - Service
      summary: 지정된 instance의 서비스 쿼리 endpoint 업서트
      description: 이 기능은 Experimental 기능입니다. 사용하려면 지원팀에 문의하십시오.
      parameters:
        - description: 요청한 조직의 ID.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: 요청한 서비스의 ID입니다.
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InstanceServiceQueryApiEndpointsPostRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 각 요청에 할당되는 고유 ID입니다. UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/ServiceQueryAPIEndpoint'
                  status:
                    description: HTTP 상태 코드입니다.
                    example: 200
                    type: number
                type: object
          description: 성공적인 응답
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 상세 오류 설명입니다.
                    type: string
                  status:
                    description: HTTP 상태 코드입니다.
                    example: 400
                    type: number
                type: object
          description: 클라이언트 오류로 간주되는 사유로 인해 서버가 요청을 처리할 수 없거나 처리하지 않습니다.
components:
  schemas:
    InstanceServiceQueryApiEndpointsPostRequest:
      properties:
        allowedOrigins:
          description: 허용된 origin을 도메인의 쉼표로 구분된 목록으로 지정합니다.
          type: string
        openApiKeys:
          description: 서비스 쿼리 endpoint의 버전입니다.
          items:
            type: string
          type: array
        roles:
          description: 역할
          items:
            enum:
              - sql_console_read_only
              - sql_console_admin
            type: string
          type: array
    ServiceQueryAPIEndpoint:
      properties:
        allowedOrigins:
          description: 허용된 origin을 도메인 목록으로 지정하며, 각 항목은 쉼표로 구분됩니다.
          type: string
        id:
          description: 서비스 query endpoint의 ID입니다.
          type: string
        openApiKeys:
          description: 서비스 query endpoint에 접근할 수 있는 OpenAPI keys 목록입니다.
          items:
            type: string
          type: array
        roles:
          description: 서비스 query endpoint에 접근할 수 있는 역할 목록입니다.
          items:
            enum:
              - sql_console_read_only
              - sql_console_admin
            type: string
          type: array
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud 콘솔에서 발급받은 key ID와 key secret을 사용합니다:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````